सामग्री पर जाएँ

Gemini Omni Flash · Image to Video

इंटीग्रेट करें

मॉडल id google/gemini-omni-flash/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$1.276 1,276 API क्रेडिट · ≈ ₽136.93 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Google इमेज से वीडियो लिपसिंकतेज़3–10 s #stylized#transform#lipsync

ऑडियो सहित एक स्थिर इमेज को वीडियो में ऐनिमेट करता है, जिसे मोशन प्रॉम्प्ट से निर्देशित किया जाता है

Google · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 20000

इमेज पर लागू किए जाने वाले एनीमेशन को निर्दिष्ट करने वाले टेक्स्ट निर्देश।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

एनीमेशन के लिए स्रोत इमेज की ओर संकेत करने वाला URL।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का आस्पेक्ट रेशियो।

डिफ़ॉल्ट 8

आउटपुट वीडियो की लंबाई, सेकंड में मापी गई।

POST /run/google/gemini-omni-flash/image-to-video?wait=20 कोटेशन → $1.276
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Gemini Omni Flash · Image to Video के बारे में

`image_url` के रूप में दी गई एकल इमेज को आपके मोशन विवरण वाले `prompt` का अनुसरण करने वाले वीडियो में बदलता है। आप 16:9 या 9:16 और 3 से 10 सेकंड की अवधि चुन सकते हैं, जिसमें 8 डिफ़ॉल्ट है। जब एक शुरुआती फ़्रेम को क्लिप का रूप निर्धारित करना हो, तब यह सही विकल्प है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 20,000 अक्षर
इमेज पर लागू किए जाने वाले एनीमेशन को निर्दिष्ट करने वाले टेक्स्ट निर्देश।
image_urlआवश्यक image
प्रकारurl · image
एनीमेशन के लिए स्रोत इमेज की ओर संकेत करने वाला URL।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:16
आउटपुट वीडियो का आस्पेक्ट रेशियो।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट8
3 – 10
आउटपुट वीडियो की लंबाई, सेकंड में मापी गई।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1276,
    "usd": "1.276",
    "charged": 1276,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/google/gemini-omni-flash/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt